Bug 983420 - Permission denied error met when deploying ruby-1.8 app.
Permission denied error met when deploying ruby-1.8 app.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Hiro Asari
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 03:47 EDT by Lei Zhang
Modified: 2015-05-14 19:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:24:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2013-07-11 03:47:48 EDT
Description of problem:
Given a ruby-1.8 app(e.g, myruby18), change something in the local git repo and git push it. Permission denied error met when deploying.
remote: Stopping Ruby cart
remote: Waiting for stop to finish
remote: rm: cannot remove `/var/lib/openshift/51de536c6cec0eba450000be/ruby//env/OPENSHIFT_RUBY_PATH_ELEMENT': Permission denied
remote: An error occurred executing 'gear postreceive' (exit code: 1)
remote: Error message: Failed to execute: 'control update-configuration' for /var/lib/openshift/51de536c6cec0eba450000be/ruby
remote: 

Version-Release number of selected component (if applicable):
INT(devenv_3481)
rhc-1.11.4

How reproducible:
always

Steps to Reproduce:
1. create a normal ruby app(e.g, myruby18) and goto the ruby local git repo and change something 
cd myruby18 && sed  -i "s/Welcome to OpenShift/Hi OpenShift/g" config.ru
2. git push it
git add -A && git commit -amp && git push
3. 

Actual results:
Permission denied error met when ruby-1.8 app deploying.

Expected results:
ruby-1.8 app should deploy successfully.

Additional info:
Comment 2 openshift-github-bot 2013-07-11 13:02:48 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/9164beb2c3321f81f8bf98a6b89410f70e5b0ac6
Bug 983420

Clobber the content of *_PATH_ELEMENT, no need to remove it.
Comment 3 Lei Zhang 2013-07-12 01:24:40 EDT
Verified on devenv_3489, the bug has been fixed. 

Delta compression using up to 8 threads.
Compressing objects: 100% (3/3), done.
Writing objects: 100% (3/3), 287 bytes, done.
Total 3 (delta 2), reused 0 (delta 0)
remote: Stopping Ruby cart
remote: Waiting for stop to finish
remote: Waiting for stop to finish
remote: Waiting for stop to finish
remote: Waiting for stop to finish
remote: Waiting for stop to finish
remote: Running build on Ruby cart
remote: Starting Ruby cart
To ssh://570384209756693037318144@myruby18-rayzhang.dev.rhcloud.com/~/git/myruby18.git/
   9c9106d..de80257  master -> master

Note You need to log in before you can comment on or make changes to this bug.